#### D.12.7.1 isuni

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  isuni(p); poly p;

Return:
  poly: if p is a univariate polynomial, it returns the variable. If not, zero.

Example:

    LIB "rootsur.lib";
    ring r = 0,(x,y),dp;
    poly p = 6x7-3x2+2x-15/7;
    isuni(p);
    ==> x
    isuni(p*y);
    ==> 0

See also: whichvariable.

User manual for Singular version 4.4.1, 2025, generated by texi2html.